# Fetching a list of Exchange Rates

Returns all current exchange rates for a specified exchange table, unless filter parameters have been applied..

Endpoint: GET /foreign_exchange/exchange_tables/{id}/rates
Version: 1.0.0

## Path parameters:

  - `id` (integer, required)
    The ID of the Model.

## Query parameters:

  - `date` (string)
    Filter for rates by the date the exchange rate takes effect. The date must be in [ISO 8601](https://www.w3.org/TR/NOTE-datetime) format.

  - `page` (integer)

  - `per_page` (integer)

  - `source_currency` (string)
    Filter for rates with the specified source currency (in [ISO code](https://knowledge.kantata.com/hc/en-us/articles/360041576473-Supported-Currency-ISO-Codes) format). The source currency is the currency you are converting from.

  - `target_currency` (string)
    Filter for rates with the specified target currency (in [ISO code](https://knowledge.kantata.com/hc/en-us/articles/360041576473-Supported-Currency-ISO-Codes) format). The target currency is the currency you are converting to.

## Response 200:

  - `200` (unknown)
    A list of Exchange Tables have been retrieved.

## Response 200 fields (application/json):

  - `count` (integer)
    Number of exchange tables in the response.

  - `meta` (object)

  - `meta.count` (integer)
    Number of exchange tables in the response.

  - `meta.page_count` (integer)
    Number of pagination pages available.

  - `meta.page_number` (integer)
    Current pagination page.

  - `meta.page_size` (integer)
    Number of elements in a pagination page.

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)
    The ID of the exchange table.

  - `exchange_rates` (object)

  - `exchange_rates.id` (object)

  - `exchange_rates.id.id` (integer)
    The ID of the exchange rate.

  - `exchange_rates.id.exchange_table_id` (integer)
    The ID of the exchange table.

  - `exchange_rates.id.source_currency` (string)
    The currency you are converting from.

  - `exchange_rates.id.target_currency` (string)
    The currency you are converting to.

  - `exchange_rates.id.effective_date` (string)
    The date the exchange rate takes effect.

  - `exchange_rates.id.rate` (string)
    The rate of the exchange from source to target currency. For example, a rate of 1.53 for a USD (source) to AUD (target) conversion
would mean 1USD = 1.53AUD.

  - `exchange_rates.id.source_currency_symbol` (string)
    The symbol for the source currency.

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized request

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403:

  - `403` (unknown)
    Forbidden request

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404:

  - `404` (unknown)
    Page Not Found

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422:

  - `422` (unknown)
    Unprocessable Entity

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503:

  - `503` (unknown)
    Service is unavailable

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

